Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.0.14

Bug #17741 package.xml doesn't validate against pear package 2.0 schema
Submitted: 2010-08-18 17:27 UTC Modified: 2012-01-07 03:59 UTC
From: gauthierm Assigned: gauthierm
Status: Closed Package: Net_Socket (version SVN)
PHP Version: Irrelevant OS: Irrelevant
Roadmaps: (Not assigned)    
Subscription  


 [2010-08-18 17:27 UTC] gauthierm (Michael Gauthier)
Description: ------------ The <changelog/> element is not allowed to be empty. It should either be omitted or should contain a <release/>. The old PEAR installer doesn't check if the package.xml is valid. Pyrus does, and refuses to install the package.

Comments

 [2010-08-18 23:39 UTC] doconnor (Daniel O'Connor)
Pity: pear package-validate package.xml = happy; and I don't have 5.3+ to muck around with pyrus. Oddly: C:\work\pear\packages-all\Net_Socket>pfm C:\work\pear\packages-all\Net_Socket>php c:\php\pfm PEAR Package File Manager Command Line Tool Please enter the location of your package [.]*: Enter the base install directory 1) Net Please choose an option: 1 PEAR Package File Manager Command Line Tool 1. Package name [Net_Socket] 2. Channel/URI [Channel: pear.php.net] 3. Summary [Network Socket Interface] 4. Description [Net_Socket is a class interface to TC...] 5. Maintainers 6. Version [Release: 1.0.10 API: 1.0.9] 7. Stability [Release: stable API: stable] 8. License [PHP License] 9. Notes [- Configurable newline sequence (PEAR...] 10. Dependencies 11. Tasks 12. Regenerate contents 13. Echo package file to stdout 14. Save & Quit 15. Quit without saving (ctrl-c) Please choose an option from the menu: 14 Fatal error: Cannot use string offset as an array in C:\php\PEAR\PEAR\PackageFil e\v2\rw.php on line 1575 C:\work\pear\packages-all\Net_Socket>
 [2010-08-18 23:48 UTC] doconnor (Daniel O'Connor)
I lodged Bug #17744
 [2010-08-18 23:49 UTC] doconnor (Daniel O'Connor)
-Status: Open +Status: Feedback
Thank you for taking the time to report a problem with the package. This problem may have been already fixed by a previous change that is in the SVN of the package. Please checking out the SVN repository of this package and upgrade svn checkout svn.php.net/repository/pear/packages/Net_Socket/trunk pear upgrade package2.xml or pear upgrade package.xml If you are able to reproduce the bug with the latest SVN, please change the status back to "Open". Again, thank you for your continued support of PEAR. r302463 regenerates the package.xml with PFM_cli - give that a shot
 [2010-08-19 12:49 UTC] gauthierm (Michael Gauthier)
I tested installing Net_Socket SVN using Pyrus and it worked.
 [2011-12-29 04:03 UTC] gauthierm (Michael Gauthier)
This bug is fixed. If it's not closed in a week I will close it.
 [2012-01-07 03:59 UTC] gauthierm (Michael Gauthier)
-Status: Feedback +Status: Closed -Assigned To: +Assigned To: gauthierm
This bug has been fixed in SVN. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.